## smokeqt 4.7.1

=== qtopengl/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtopengl_includes.h
    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtopengl  )

set(smokeqtopengl_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtopengl SHARED ${smokeqtopengl_LIB_SRCS})
add_library(smokeqtopengl SHARED ${smokeqtopengl_LIB_SRCS})

target_link_libraries(smokeqtopengl 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY}
                        ${QT_QTOPENGL_LIBRARY} )

set_target_properties(smokeqtopengl PROPERTIES VERSION 3.0.0 SOVERSION 3 )

# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
# for Qt only installs
install(TARGETS smokeqtopengl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtopengl_smoke.h DESTINATION include/smoke)

=== qtscript/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}  )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtscript_includes.h
    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtscript )

set(smokeqtscript_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqtscript SHARED ${smokeqtscript_LIB_SRCS})

target_link_libraries(smokeqtscript smokeqtcore ${QT_QTCORE_LIBRARY} ${QT_QTSCRIPT_LIBRARY})

set_target_properties(smokeqtscript PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtscript DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtscript_smoke.h DESTINATION include/smoke )

=== qwt/CMakeLists.txt ===
include(FindQwt5)

include_directories( ${QT_INCLUDES} ${Qwt5_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../qtgui/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -I "${Qwt5_INCLUDE_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qwt_includes.h
    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokeqwt_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
	${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqwt SHARED ${smokeqwt_LIB_SRCS})

target_link_libraries(smokeqwt smokeqtcore smokeqtgui ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${Qwt5_Qt4_LIBRARY})

set_target_properties(smokeqwt PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqwt DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qwt_smoke.h DESTINATION include/smoke)

=== debian/changelog ===
smokeqt (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - drop reduced-linking.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 02 Sep 2011 21:34:42 +0200

smokeqt (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Package QScintilla2 binding.
  * Update control:
    - add libsmokeqt4-dbg
    - update Uploaders
    - remove redundant section fields
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.

  [ Pino Toscano ]
  * Update control:
    - libsmokeqt4-dbg: make it break/replace kdebindings-dbg, fix Section
      and Priority
    - improve descriptions
    - require smoke-dev-tools >= 4.7.0, and make libsmokeqt4-dev depend on it
  * Update rules:
    - pass sodeps as dh addon
  * Update lintian overrides.
  * Update copyright.
  * Add patch reduced-linking.diff (committed also upstream) to reduce
    overlinking.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 13 Aug 2011 14:31:25 +0200

=== debian/control ===
Source: smokeqt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools (>= 4:4.7.0), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
 libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt

Package: libsmokeqsci3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QScintilla2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QScintilla2 SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt3support4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt3 Support SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt3 Support SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtcore4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Core SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdbus4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt D-Bus SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt D-Bus SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdeclarative4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Declarative SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Declarative SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtgui4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Gui SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqthelp4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Help SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Help SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtnetwork4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Network SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtopengl4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt OpenGL SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt OpenGL SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtscript4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Script SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Script SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsql4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Sql SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Sql SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsvg4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Svg SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Svg SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqttest4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Test SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtuitools4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Ui Tools SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Ui Tools SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtwebkit4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt WebKit SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt WebKit SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxml4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Xml SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxmlpatterns4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt XmlPatterns SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt XmlPatterns SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokephonon3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Phonon SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqimageblitz3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QImageBlitz SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dbg
Section: debug
Depends: libsmokeqtcore4-3 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: Qt SMOKE libraries debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for Qt SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.7.0)
Architecture: any
Description: Development files for Qt SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the development files for the SMOKE Qt modules.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqwt3
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: Qwt5 SMOKE libraries
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qwt5 SMOKE libraries.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.

=== debian/rules ===
#! /usr/bin/make -f

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsmokeqt4-dbg

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

## smokeqt 4.7.4

=== qtnetwork/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtnetwork_includes.h
    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtnetwork  )

set(smokeqtnetwork_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtnetwork SHARED ${smokeqtnetwork_LIB_SRCS})
add_library(smokeqtnetwork SHARED ${smokeqtnetwork_LIB_SRCS})

target_link_libraries(smokeqtnetwork smokeqtcore ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} )

set_target_properties(smokeqtnetwork PROPERTIES VERSION 3.0.0 SOVERSION 3 )

# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
# for Qt only installs
install(TARGETS smokeqtnetwork DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtnetwork_smoke.h DESTINATION include/smoke)

=== debian/changelog ===
smokeqt (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 12:03:58 -0500

## smokeqt 4.8.2

=== debian/changelog ===
smokeqt (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:29:40 +0200

smokeqt (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 00:35:46 +0100

smokeqt (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:23 +0000

smokeqt (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:58 +0000

smokeqt (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 21:21:03 +0100

smokeqt (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:55:59 +0000

smokeqt (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 01:07:03 +0000

smokeqt (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Remove patch reduced-linking.diff, applied upstream.

  [ Pino Toscano ]
  * Generate libraries shlibs based on the current version.
  * Tighten the various libraries dependencies to the current version.
  * Drop version for the smoke-dev-tools dependency of libsmokeqt4-dev;
    the right version will be picked because of the stricter libsmokebase
    (indirect) dependency.
  * Bump the smoke-dev-tools build-dependency to 4.7.1.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 14:22:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.0), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ smoke-dev-tools (>= 4:4.8.1), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -259,7 +259,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.7.0)
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package

=== debian/rules ===
#! /usr/bin/make -f

pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsmokeqt4-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/shlibs.local

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

## smokeqt 4.8.3

=== debian/changelog ===
smokeqt (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 13:49:33 +0200

## smokeqt 4.8.4

=== qtcore/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)
configure_file(qt-config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/qt-config.xml @ONLY)

# for QtGuess.txt
if (APPLE)
set(qt_test_threshold 15)
else (APPLE)
set(qt_test_threshold 10)
endif (APPLE)

include(QtGuess.txt)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtcore_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtcore  )

set(smokeqtcore_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtcore SHARED ${smokeqtcore_LIB_SRCS})
add_library(smokeqtcore SHARED ${smokeqtcore_LIB_SRCS})

target_link_libraries(smokeqtcore ${QT_QTCORE_LIBRARY} ${SMOKE_BASE_LIBRARY} )

set_target_properties(smokeqtcore PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtcore LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtcore
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtcore_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt-config.xml DESTINATION share/smokegen)
install(FILES ${QTDEFINES_FILE} DESTINATION share/smokegen)

=== qtnetwork/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,8 @@
     COMMAND ${SMOKE_GEN_BIN}
     ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
          -- ${CMAKE_CURRENT_SOURCE_DIR}/qtnetwork_includes.h
-    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
+    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 
 macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )
 
@@ -32,7 +33,15 @@
 
 set_target_properties(smokeqtnetwork PROPERTIES VERSION 3.0.0 SOVERSION 3 )
 
-# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
-# for Qt only installs
-install(TARGETS smokeqtnetwork DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
+install(TARGETS smokeqtnetwork
+    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+    RUNTIME DESTINATION bin)
+
+if (WIN32)
+    # Get rid of the "lib" prefix on archives/DLLs in Windows.
+    set_target_properties(smokeqtnetwork
+        PROPERTIES PREFIX "" IMPORT_PREFIX "")
+endif (WIN32)
+
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtnetwork_smoke.h DESTINATION include/smoke)

=== debian/changelog ===
smokeqt (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 10:31:23 +0200

smokeqt (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Update copyright:
    - switch to copyright-format v1.0
    - add entry for myself, for last year and the current one
  * Bump smoke-dev-tools build dependency to >= 4:4.7.4.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Apr 2012 10:17:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.1), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.8.4), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary

## smokeqt 4.9.2

=== qtopengl/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
     COMMAND ${SMOKE_GEN_BIN}
     ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
          -- ${CMAKE_CURRENT_SOURCE_DIR}/qtopengl_includes.h
-    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
+    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 
 macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )
 
@@ -36,7 +37,18 @@
 
 set_target_properties(smokeqtopengl PROPERTIES VERSION 3.0.0 SOVERSION 3 )
 
-# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
-# for Qt only installs
-install(TARGETS smokeqtopengl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
+install(TARGETS smokeqtopengl LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+    RUNTIME DESTINATION bin)
+
+if (WIN32)
+	# Realign the stack, for compatibility with an older ABI.
+	set_target_properties (smokeqtopengl PROPERTIES COMPILE_FLAGS -mstackrealign)
+
+    # Get rid of the "lib" prefix on archives/DLLs in Windows.
+    set_target_properties(smokeqtopengl
+        PROPERTIES PREFIX "" IMPORT_PREFIX "")
+endif (WIN32)
+
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtopengl_smoke.h DESTINATION include/smoke)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtopengl.argnames.txt DESTINATION share/smoke)

=== qtwebkit/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}  )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtwebkit_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtwebkit )

set(smokeqtwebkit_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqtwebkit SHARED ${smokeqtwebkit_LIB_SRCS})

target_link_libraries(  smokeqtwebkit 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTWEBKIT_LIBRARY} )

set_target_properties(smokeqtwebkit PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtwebkit LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)
if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	set_target_properties (smokeqtwebkit PROPERTIES COMPILE_FLAGS -mstackrealign)

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtwebkit PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtwebkit_smoke.h DESTINATION include/smoke )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtwebkit.argnames.txt DESTINATION share/smoke)

=== debian/changelog ===
smokeqt (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:48:23 +0100

smokeqt (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:48:11 +0530

smokeqt (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:51:22 +0100

smokeqt (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:25:06 +0200

smokeqt (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Sync with debian git
  * New upstream beta release
    - add argument list files to libsmokeqt4-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Jun 2012 13:47:48 +0200

smokeqt (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 13:49:33 +0200

smokeqt (4:4.8.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 21:13:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.4), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ smoke-dev-tools (>= 4:4.9.2), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
